#use appimage at https://apprepo.de/

%undefine __find_provides
%undefine __find_requires
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}


Summary: PDF reader
Name: foxit-reader
Version: 2.4.4.0911
Release: %mkrel 1
License: GPL
Group: Office
URL: https://apprepo.de/appimage/foxit-reader
Source1: %{name}.desktop
Source2: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoProv: no

%description
A small, fast and feature rich PDF viewer which allows you
to open, view and pring any PDF file.


%prep

%build

%install

pushd %{_sourcedir}
wget -nc "https://apprepo.de/appimage/foxit-reader/Foxit-Reader.AppImage"
popd

install -Dm 0755 %{_sourcedir}/Foxit-Reader.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue May 25 2021 tex - 2.4.4.0911-1pclos2021
- update
